using ZBar;
using System;

namespace Foodolini.Activities.FoodRegistration
{
	/// <summary>
	/// BarScanned event arguments
	/// </summary>
	public sealed class BarScannedArgs : EventArgs
	{
		private Symbol symbol = null;
		
		internal BarScannedArgs(Symbol symbol)
		{
			this.symbol = symbol;
		}
	
		/// <value>
		/// The symbol that was scanned
		/// </value>
		public Symbol Symbol{
			get{
				return this.symbol;
			}
		}
	}
}
