
using System;
using Gtk;
using Foodolini.Activities;
using Foodolini.BusinessLogic;

namespace Foodolini.Activities.RegisterExercise
{
	
	[TreeNode (ListOnly = true)]
	public class SportsAdapter : TreeNode
	{
		
		public SportsAdapter(SportsActivity sports)
		{
			this.SportsActivity = sports;
		}
		
		[Gtk.TreeNodeValueAttribute(Column=0)]
		public string Name{
			get{return this.SportsActivity.Name;}
		}
		
		[Gtk.TreeNodeValueAttribute(Column=1)]
		public double METs{
			get{return this.SportsActivity.METS;}
		}
		
		public SportsActivity SportsActivity{get; private set;}
	}
}
