
using System;

namespace Foodolini.Database
{
	/// <summary>
	/// A picture
	/// </summary>
	/// <remarks>
	/// Pictures are stored in a separate table so that they can be lazily loaded using the Repository
	/// </remarks>
	public class Picture
	{
		/// <summary>
		/// Primary key
		/// </summary>
		public long PictureId{ get; set;}
		
		/// <summary>
		/// The image in Portable Network Graphics format
		/// </summary>
		public byte[] Image{ get; set;}
	}
}
