
using System;
using Foodolini.Activities;

namespace Foodolini.Activities.Person
{
	
	/// <summary>
	/// Dialog used to get a confirmation from the user. The title and content can be set through the constructor.
	/// </summary>
	public partial class ConfirmDialog : Gtk.Dialog
	{
		/// <summary>
		/// Sets the title , and the content of the dialog.
		/// </summary>
		public ConfirmDialog(string title, string content)
		{
			this.Build();
			Content = "Are you sure you want to delete the exercise";
			DialogTitle = "Delete exercise";
		}
		
		private string Content {
			get {return label1.Text;}
			set{label1.Text = value;}
		}
		
		private string DialogTitle{
			set{this.Title  = value;}
		}
	}
}