using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Foodolini.Database
{
    /// <summary>
    /// An exercise.
    /// </summary>
    public class ExerciseRow
    {
        /// <summary>
        /// Primary key.
        /// </summary>
        public long ExerciseRowId { get; set; }

        /// <summary>
        /// Duration of the exercise.
        /// </summary>
        public long Duration { get; set; }

        /// <summary>
        /// PK of the user who performed the exercise.
        /// </summary>
        public long UserId { get; set; }

        /// <summary>
        /// PK of the sports activity.
        /// </summary>
        public long SportsActivityId { get; set; }

        /// <summary>
        /// When the exercise was performed.
        /// </summary>
        public DateTime PerformedDate { get; set; }

    }
}
