using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Foodolini.Database
{
    /// <summary>
    /// Nutritional value in food.
    /// </summary>
    public class NutritionalValue
    {
        /// <summary>
        /// Primary key.
        /// </summary>
        public long NutritionalValueId { get; set; }

        /// <summary>
        /// The associated food.
        /// </summary>
        public long FoodDescriptionId { get; set; }

        /// <summary>
        /// The type of nutrient associated with the value.
        /// </summary>
        public long NutritionDefinitionId { get; set; }

        /// <summary>
        /// The nutritional value of the nutrient.
        /// </summary>
        public double Value { get; set; }
    }
}
