using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Foodolini.Database
{
    /// <summary>
    /// A Recipe category. A Recipe can have many categories.
    /// </summary>
    public class RecipeTag
    {
        /// <summary>
        /// Primary key.
        /// </summary>
        public long RecipeTagId { get; set; }

		/// <summary>
		/// RecipeRowId this tag is assigned to  
		/// </summary>
		public long RecipeRowId{get; set;}
		
        /// <summary>
        /// Title of the category.
        /// </summary>
        public string Title { get; set; }
    }
}