
using System;

namespace Foodolini.Database
{
    /// <summary>
    /// Represents a sports activity.
    /// </summary>
	public class SportsActivityRow
	{
        /// <summary>
        /// Primary key.
        /// </summary>
		public long SportsActivityRowId{get; set;}
        /// <summary>
        /// The name of the activity.
        /// </summary>
		public string Name{get; set;}

        /// <summary>
        /// Metabolic Equivalent of Task.
        /// </summary>
		public double METS{get; set;}
	}
}
