﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Common;
using System.Data.SqlClient;
using System.Configuration;

namespace Foodolini.Tools
{
    /// <summary>
    /// Handles basic database interaction with an SQL server
    /// </summary>
    public class MsSqlDB : Database<SqlConnection>
    {
        public MsSqlDB(string connString)
        {
            connection = new SqlConnection(connString);
        }

        /// <summary>
        /// Gets the appropriate DbCommand for the database.
        /// </summary>
        /// <param name="sql"></param>
        /// <returns></returns>
        protected override DbCommand GetCommand(string sql)
        {
            return new SqlCommand(sql, connection);
        }

        public override SqlConnection GetConnection()
        {
            throw new NotImplementedException();
        }

    }
}
