
using System;
using Gtk;
using Foodolini.Activities;
using Foodolini.BusinessLogic;


namespace Foodolini.Activities
{
	
	
	[System.ComponentModel.ToolboxItem(true)]
	public partial class CreateSportsActivity : Gtk.Bin, IActivity
	{
		public IOwner owner;
		public SportsActivity sport = null;
		
		public CreateSportsActivity()
		{
			this.Build();
		}
		
		protected virtual SportsActivity OnBtSaveClicked (object sender, System.EventArgs e)
		{
			sport = new SportsActivity(entName.Text, spMET.Value);
			return sport;
		}
		
		public void Register(IOwner owner){
			this.owner = owner;
		}
		
		public void Unregister(){
			this.owner = null;			
		}

		protected virtual SportsActivity OnBtCancelClicked (object sender, System.EventArgs e)
		{
			sport = null;
			return sport;
		}

		public Widget Widget{
			get{
				return this;
			}
		}
		
		
	}
}
