﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Foodolini.BusinessLogic
{
    /// <summary>
    /// Represents search criteria.
    /// </summary>
    public struct Criteria
    {
		public List<string> searchString;
		
		public bool expirationDate;
		
		public int expirationDatePriority;
		
		public bool rating;
		
		public int ratingPriority;
		
		public Meal Meal;
    }
	
	[Flags]
	public enum Meal
	{
		None = 0,
		Breakfast = 0x1,
		Lunch = 0x2,
		Dinner = 0x4,
		Other = 0x8
	}
}
