﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Foodolini.Database
{
    /// <summary>
    /// A rating of a recipe.
    /// </summary>
    public class Rating
    {
        /// <summary>
        /// Primary key.
        /// </summary>
        public long RatingId { get; set; }

        /// <summary>
        /// Associated Recipe PK.
        /// </summary>
        public long RecipeId { get; set; }

        /// <summary>
        /// PK of User who rated the recipe.
        /// </summary>
        public long UserId { get; set; }

        /// <summary>
        /// User's rating of the recipe.
        /// </summary>
        public double Score { get; set; }
    }
}
