using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Foodolini.Database
{
    /// <summary>
    /// A step in a recipe.
    /// </summary>
    public class RecipeStep
    {
        /// <summary>
        /// Primary key of RecipeStep.
        /// </summary>
        public long RecipeStepId { get; set; }

        /// <summary>
        /// PK of associated Recipe.
        /// </summary>
        public long RecipeId { get; set; }

        /// <summary>
        /// Directions for the current step in a recipe.
        /// </summary>
        public string Directions { get; set; }

        public long SortOrder { get; set; }
    }
}
		