using System;

namespace Foodolini.Activities{

	[AttributeUsageAttribute(AttributeTargets.Assembly, Inherited = false)]
	public class AssemblyFoodoliniPluginAttribute : System.Attribute{
		private Version version;
		public AssemblyFoodoliniPluginAttribute(string version){
			this.version = new Version(version);
		}
		public Version Version{
			get{ return this.version; }
		}
	}

}