﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Foodolini.Database
{
    /// <summary>
    /// A many-to-may mapping between a recipe and a tag.
    /// </summary>
    public class RecipeTagMapping
    {
        /// <summary>
        /// Primary key.
        /// </summary>
        public long RecipeTagMappingId { get; set; }

        /// <summary>
        /// PK of the recipe.
        /// </summary>
        public long RecipeId { get; set; }

        /// <summary>
        /// PK of the tag.
        /// </summary>
        public long RecipeTagId { get; set; }
    }
}
