﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Foodolini.Database
{
    /// <summary>
    /// Represents a shoppinglist item.
    /// </summary>
    public class ShoppingListItemRow
    {
        /// <summary>
        /// Primary key.
        /// </summary>
        public long ShoppingListItemRowId { get; set; }

        /// <summary>
        /// The recipe.
        /// </summary>
        public long? RecipeRowId { get; set; }

        /// <summary>
        /// The ingredient
        /// </summary>
        public long FoodDescriptionId { get; set; }

        /// <summary>
        /// The owner of the shopping list item.
        /// </summary>
        public long UserId { get; set; }

        /// <summary>
        /// Quantity of the ingredient.
        /// </summary>
        public double Quantity { get; set; }
    }
}
